%define build_docs 1

%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define tarname libosmosdr

Name:           osmo-sdr
Version:        0.1.20151211
Release:        %mkrel 4
Summary:        Support programs for OsmoSDR
License:        GPLv2
Group:          Communications/Radio
URL:            http://cgit.osmocom.org/osmo-sdr/
Source:         %{tarname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(libusb)

%if %{build_docs}
BuildRequires:  doxygen
BuildRequires:  texlive-texmf
BuildRequires:  graphviz
%endif

%description
Programs to control OsmoSDR, the E4000 based software defined radio receiver.

%package -n %{libname}
Summary:        SDR driver for OsmoSDR
Group:          System/Libraries

%description -n %{libname}
Library to run OsmoSDR, the E4000 based software defined radio receiver.

%package -n %{devname}
Summary:        Development files for osmo-sdr
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{tarname}-devel = %{version}-%{release}

%description -n %{devname}
Library headers for osmo-sdr driver.

%package devel-doc
Summary:        Documentation for osmo-sdr
Group:          Documentation
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description devel-doc
Documentation for osmo-sdr driver.

%prep
%setup -q -n %{tarname}

# remove buildtime from documentation
sed -i 's|^HTML_TIMESTAMP         = YES|HTML_TIMESTAMP         = NO|' Doxyfile.in

%build
%cmake \
  -DINSTALL_UDEV_RULES=ON
%cmake_build

#create documentation
%if %{build_docs}
cp Doxyfile.in Doxyfile
sed -i "s\@VERSION@\%{version}\1" Doxyfile
doxygen
cd doc/latex
make pdf
%endif

%install
%cmake_install
rm %{buildroot}%{_libdir}/libosmosdr.a
%ifarch x86_64 aarch64
mv %{buildroot}/usr/lib/pkgconfig %{buildroot}%{_libdir}
%endif

#move/reanme udev rules
mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}%{_sysconfdir}/udev/rules.d/osmosdr.rules %{buildroot}%{_udevrulesdir}/10-osmosdr.rules

#install documentation
%if %{build_docs}
mkdir -p %{buildroot}%{_docdir}/%{name}/pdf
cp -r doc/html %{buildroot}%{_docdir}/%{name}
cp -r doc/latex/*.pdf %{buildroot}%{_docdir}/%{name}/pdf
%endif

%files
%doc AUTHORS COPYING README
%if %{build_docs}
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/pdf
%endif
%{_bindir}/osmo_sdr
%{_udevrulesdir}/10-osmosdr.rules

%files -n %{libname}
%{_libdir}/libosmosdr.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libosmosdr.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/libosmosdr.pc

%if %{build_docs}
%files devel-doc
%{_docdir}/%{name}/html
%{_docdir}/%{name}/pdf
%endif


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.1.20151211-4.mga8
+ Revision: 1516956
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 0.1.20151211-3.mga7
+ Revision: 1300069
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 0.1.20151211-2.mga7
+ Revision: 1239553
- fix build on aarch64

* Sun Dec 27 2015 barjac <barjac> 0.1.20151211-1.mga6
+ Revision: 915579
- new snapshot 0.1.20151211
- use %%make_install macro

* Thu Jan 15 2015 barjac <barjac> 0.1.20131117-2.mga5
+ Revision: 810887
- Import new package based on suse/fedora spec with thanks

